post
https://api.fulcrumapp.com/api/v2/layers.json
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
API Library Examples
from fulcrum import Fulcrum
fulcrum = Fulcrum('{token}')
obj = {
"layer": {
"name": "USGS Topo",
"type": "xyz",
"source": "http://basemap.nationalmap.gov/arcgis/rest/services/USGSTopo/MapServer/tile/{z}/{y}/{x}"
}
}
layer = fulcrum.layers.create(obj)
print(layer['layer']['id'] + ' has been created!')import { FulcrumClient, FulcrumRegion } from '@fulcrumapp/fulcrum-js';
const client = new FulcrumClient({
apiKey: '{token}',
// Use the region configured for your Fulcrum account.
region: FulcrumRegion.US
});
const obj = {
"name": "USGS Topo",
"type": "xyz",
"source": "http://basemap.nationalmap.gov/arcgis/rest/services/USGSTopo/MapServer/tile/{z}/{y}/{x}"
};
client.layers.create({ layerRequest: { layer: obj } })
.then((response) => {
console.log(response.data);
})
.catch((error) => {
console.log(error.message);
});# Not currently supported